use std::process;

// checks whether a file is currently open in another program (e.g. still being written)
pub fn is_file_locked(filepath: &str) -> bool {
  let cmd = process::Command::new("/usr/bin/lsof")
    .arg(filepath)
    .output()
    .expect("Failed to execute command");

  let results = &String::from_utf8_lossy(&cmd.stdout);
  if results.contains(filepath) {
    return true;
  }

  return false;
}
